
Figure - Bug #115266
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111046 (New): AF-V2.0-系统手势

【AF】【EVT2】【系统手势】桌面上滑停顿进入多任务管理器，操作其他手势会出现异常
2023-01-12 14:26 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-12

Priority: Normal Due date: 2023-04-14

Assignee: CD TEST-方永红 % Done: 100%

Category: 客户jira bug Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304120453

Reproducibility: Every time Fixed Version: 2023-02-03

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1.桌面状态

2.一根手指操作底部上滑停顿不松手

3.屏幕出现空白时手指不松再放上其余三指或四指

【预期结果】

3、在放上其余三指或四指时，设备无反应

当松开所有手指时，进入recent

【实际结果】

3、屏幕定在空白背景状态，点击屏幕无反应，操作返回手势恢复至桌面

History

#1 - 2023-01-12 15:14 - CD APP-王营

- Due date set to 2023-01-17

#2 - 2023-01-13 10:09 - CD APP-王营

- Due date changed from 2023-01-17 to 2023-02-14

#3 - 2023-01-17 19:50 - CD TEST-方永红

- Category changed from CD-APP to 客户jira bug

#4 - 2023-01-29 10:21 - CD APP-王营

- Status changed from New to ASSIGNED

#5 - 2023-01-30 11:14 - CD APP-王营

- Due date changed from 2023-02-14 to 2023-02-10

- Assignee changed from CD APP-王营 to CD APP-王宏

#6 - 2023-02-02 16:29 - CD TEST-方永红

- Description updated
#7 - 2023-02-02 19:41 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178934 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW:Gesture:Fix the problem of gesture recognition1.Use one finger to push up, and add another three fingers in the middle to get stuck in the middle

pageTC-RID: 1201-0205201IssueID: TS-R-BUG-115266Change-Id: Iee18f624f573c361ed5b33e5f02b194056adde57

#8 - 2023-02-02 20:25 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-02-03

- Root cause set to 编码问题

■ Current conclusion

问题已修复，待测试同事验证

此功能需求已经和浩云同步，单指上滑意图分为两个部分

1、较短距离上滑，松手后继续留在Home桌面，基于此功能短距离上滑时放上4指，松手后继续保留在Home桌面。

2、长距离上滑，松手后进入Recent，在此过程中如果放上4指，松手后保持功能意图响应，进入Recent。

■ My analysis

多指抓功能影响了手势功能，单指上滑后InputConsumer对应的对象为OverviewInputConsumer，当多指放在屏幕上时会重复执行手势代码，进入recent动

画卡住。

当前处理方案，判断手势介入时候如果为多指，同时mConsumer.getType() == mConsumer.TYPE_OVERVIEW   此时不再继续执行动画，四指抬起后执

行UP事件，进入recent。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/178934

#9 - 2023-02-03 16:32 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302030336

2.3

验证通过

#10 - 2023-02-03 16:32 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#11 - 2023-03-31 16:32 - CD TEST-方永红

- Status changed from CLOSED to New

- Assignee changed from CD TEST-方永红 to CD FW王武军
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/178934


3.31版本复现此问题

#12 - 2023-04-04 14:51 - CD FW王武军

【】当前状态

该问题复现应该与新提的五指手势拦截提交有关系。该问题需要重新调整下修改方法。

@王营 麻烦看一下

#13 - 2023-04-04 14:52 - CD FW王武军

- Assignee changed from CD FW王武军 to CD APP-王营

#14 - 2023-04-04 16:41 - CD APP-王营

- Due date changed from 2023-02-10 to 2023-04-14

#15 - 2023-04-11 20:33 - CD APP-王营

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

■ Current conclusion

问题已解决，待验证

■ My analysis

多指策略修改后，多指手势在其余手势执行过程中扰乱动画执行逻辑，在OVER_VIEW状态下不允许多指参与新手势构建。

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/193103

#16 - 2023-04-11 20:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

193103 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

FW:Gesture:Fix the problem of gesture recognition1.Use one finger to push up, and add another three fingers in the middle to get stuck in the middle

pageTC-RID: 1201-0205201IssueID: TS-R-BUG-115266Change-Id: I6f795939846044a1e78f9ec23a8764de881d73e5

#17 - 2023-04-12 10:47 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version changed from FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302030336 to

FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304120453

4.12

验证通过
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/193103


#18 - 2023-04-12 10:48 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
